---
lang: en
title: 'API docs: rest.restrouter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restrouter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestRouter](./rest.restrouter.md)

## RestRouter interface

<b>Signature:</b>

```typescript
export interface RestRouter 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [add(route)](./rest.restrouter.add.md) | Add a route to the router |
|  [find(request)](./rest.restrouter.find.md) | Find a matching route for the given http request |
|  [list()](./rest.restrouter.list.md) | List all routes |


